"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListTables = void 0;
const method_1 = require("./method");
class ListTables extends method_1.Method {
    constructor(dynamodb) {
        super(null, dynamodb);
    }
    /**
     * Builds and returns the raw DynamoDB query object.
     */
    buildRawQuery() {
        return {};
    }
    /**
     * Execute the `ListTables` request.
     */
    exec() {
        if (!this.dynamodb.raw) {
            return Promise.reject(new Error('Call .connect() before executing queries.'));
        }
        return this.execHelper(this.buildRawQuery());
    }
    execHelper(params, previousResult = []) {
        let result = previousResult;
        const db = this.dynamodb.raw;
        const prefix = this.dynamodb.prefix;
        return db.listTables(params).promise()
            .then(data => {
            result = result.concat(data.TableNames || []);
            if (data.LastEvaluatedTableName) {
                params.ExclusiveStartTableName = data.LastEvaluatedTableName;
                return this.execHelper(params, result);
            }
            return prefix === undefined ? result : result.filter(table => table.indexOf(prefix) === 0);
        });
    }
}
exports.ListTables = ListTables;
//# sourceMappingURL=list-tables.js.map